petsc-3.10.5 2019-03-28
Report Typos and Errors

# PetscSFSetUp

set up communication structures

### Synopsis

    #include "petscsf.h"
    PetscErrorCode PetscSFSetUp(PetscSF sf)

Collective

### Input Arguments

sf -star forest communication object

### See Also

PetscSFSetFromOptions(), PetscSFSetType()

### Level

beginner

### Location

src/vec/is/sf/interface/sf.c

### Examples

src/vec/is/sf/examples/tutorials/ex1.c.html
src/vec/is/sf/examples/tutorials/ex2.c.html
src/vec/is/sf/examples/tutorials/ex1f.F90.html

### Implementations

PetscSFSetUp_Basic in src/vec/is/sf/impls/basic/sfbasic.c
PetscSFSetUp_Window in src/vec/is/sf/impls/window/sfwindow.c
Index of all PetscSF routines
Table of Contents for all manual pages
Index of all manual pages